%define module  WWW-Wikipedia
%define name	perl-%{module}
%define version 1.92
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Automated interface to the Wikipedia
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/WWW/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildRequires:  perl-libwww-perl
BuildRequires:  perl(CGI)
BuildRequires:  perl(Text::Autoformat)
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
WWW::Wikipedia provides an automated interface to the Wikipedia 
http://www.wikipedia.org, which is a free, collaborative, online 
encyclopedia. This module allows you to search for a topic and return the 
resulting entry. It also gives you access to related topics which are also 
available via the Wikipedia for that entry.

%prep
%setup -q -n %{module}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/*/*
%perl_vendorlib/WWW


%changelog
* Tue Mar 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.92-1mdv2007.1
+ Revision: 142368
- new version

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import perl-WWW-Wikipedia-1.9-2mdk


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.9-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Apr 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdk
- New release 1.9

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-4mdk
- Fix BuildRequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-2mdk
- Buildrequires fix

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdk
- New release 1.8

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- new release 
- fix sources url for rpmbuildupdate
- fix url

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-1mdk
- initial release

